# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

PYTHON_COMPAT=( python3_{9..11} )
DISTUTILS_USE_PEP517=poetry

inherit distutils-r1

COMMIT="382f1edc62296e071093a5419811a2fca9d78d93"

DESCRIPTION="Suite of tools for PDF files manipulation written in Python"
HOMEPAGE="https://github.com/hellerbarde/stapler"
SRC_URI="https://github.com/hellerbarde/${PN}/archive/${COMMIT}.tar.gz -> ${PN}-${COMMIT}.tar.gz"
S="${WORKDIR}/${PN}-${COMMIT}"

LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"

DEPEND="test? ( <dev-python/PyPDF2-3[${PYTHON_USEDEP}] )"
RDEPEND="<dev-python/PyPDF2-3[${PYTHON_USEDEP}]"

distutils_enable_tests unittest

src_prepare() {
	default
	sed -i -e 's/^from PyPDF2.pdf/from PyPDF2/' staplelib/tests.py || die
}
